transcalc(1)

NAME
transcalc — analysis and synthesis tool for microwave and RF transmsision lines

SYNOPSIS

transcalc [-h/--help] [-v/--version]

DESCRIPTION

transcalc is an analysis and synthesis tool for calculating the electrical and physical properties of different kinds of RF and microwave transmission lines.

Transcalc allows you to interactively edit substrate, component, physical and electrical parameters of a given transmission line. For each type of transmission line, using entry boxes, you can enter values for the various parameters, and either calculate its electrical properties (press Analyze button or function key F3), or use the given electrical requirements to sythesize (press Synthesize button or function key F4) physical parameters of the required transmission line.

When run for the first time Transcalc creates a .transcalc directory under the user's home directory, where some configuration information is stored. Transcalc remembers the last transmission line parameters used when the user exits and presents those parameters when restarted.

Calculated results are updated and presented within the user interface. Moving the mouse over the parameter labels pops up a more helpful tooltip about that parameter. For example, if you wonder what "Er" stands for, move the mouse over it and a helpful tooltip tells you that it stands for relative permittivity.

Transcalc knows and converts between many unit types for length, frequency, resistance and angles. Default units can be saved by using the File->Options menu. Calculated results include conductor and dielectric losses in decibels (dB).

OPTIONS

Transcalc has few command line options at this point.

-v, --version
    Causes transcalc to print its version number (a string on the form MAJOR.MINOR, like 0.10) to the standard output, and then exit.

AUTHOR

transcalc was written by Gopal Narayanan (gopal@astro.umass.edu) and Claudio Girardi (claudio.girardi@ieee.org). transcalc is available at http://transcalc.sourceforge.net/ (link to URL http://transcalc.sourceforge.net/) .